Last Comment Bug 720393 - NVDA's virtual buffer often breaks with iFrames, started January 23, 2012 build.
: NVDA's virtual buffer often breaks with iFrames, started January 23, 2012 build.
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86_64 Windows 7
: -- major (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks: 707654
  Show dependency treegraph
 
Reported: 2012-01-23 09:35 PST by Marco Zehe (:MarcoZ) on PTO until August 15
Modified: 2012-01-24 00:10 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Marco Zehe (:MarcoZ) on PTO until August 15 2012-01-23 09:35:05 PST
The only patch that landed is bug 707654 between the 2012-01-22 and 2012-01-23 builds.

Whenever focus lands on a focusable item within an iframe, NVDA's virtual buffer and a lot of other IAccessible2 related functions like getting the ancestry chain of an accessible, break. For example when pressing CTRL+L, NVDA no longer says "Navigation toolbar, go to a web site edit combo". It will only say the last part about the "go to a website".

Sometimes, going toa  web site without iframes recovers things, but most often Nightly has to be restarted in order for things to start working again.
Comment 1 Marco Zehe (:MarcoZ) on PTO until August 15 2012-01-23 09:41:53 PST
Each page that embeds the "Tweet" or "Like this on Facebook" iframes breaks as soon as one navigates into it with NVDA's virtual buffer. GMail is also broken.
Comment 2 Ed Morley [:emorley] 2012-01-23 10:05:10 PST
(For the benefit of anyone else experiencing this, who might not have seen the IRC chat). 

Bug 707654 has been backed out of m-c (in https://hg.mozilla.org/mozilla-central/rev/9b069a37f58f) and new nightlies triggered, so hopefully this should be fixed once they are complete.
Comment 3 Marco Zehe (:MarcoZ) on PTO until August 15 2012-01-24 00:10:02 PST
Verified fixed in second nightly build from January 23: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120123 Firefox/12.0a1

Note You need to log in before you can comment on or make changes to this bug.